Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610209 - initializing subscriptions via api not working as expected
initializing subscriptions via api not working as expected
Status: RELEASE_PENDING
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Solaris
low Severity medium
: ---
: ---
Assigned To: Kaushik Banerjee
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 14:39 EDT by wes hayutin
Modified: 2015-05-14 11:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-07-01 14:39:51 EDT
Description of problem:

I tested the following accounts against the IT Hosted env.

owner that has products about to expire, or in grace period	 nisadmin	 663149	 Expires 29-JUN-2010	PROBLEM: {"displayMessage":"owner with key: 663149 was not found."}

owner w/ expired entitlements	 darkrider1	 650937	 Also has a subscription that expires Jun 18, 2010, and one that expires Jul 18, 2010	 PROBLEM:{"displayMessage":"owner with key: 650937 was not found."}

owner w/ entitlements that have not started	 test5	 1616678	 New customer with RHEL 6 (RH01MODU4). Subscription starts 15-JUL-2010.	 PROBLEM: {"displayMessage":"owner with key: 1616678 was not found."}


example:

AGAINST:candlepin1
[root@iolo ~]# curl -u calfonso:redhat -k --header "Content-type: application/json" --header "Accept: application/json" --request PUT https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/663149/subscriptions
{"displayMessage":"owner with key: 663149 was not found."}[root@iolo ~]# 
[root@iolo ~]# 


AGAINST:FTE
[root@iolo ~]# curl -u calfonso:redhat -k --header "Content-type: application/json" --header "Accept: application/json" --request PUT https://cert-fte-candlepin.devlab.redhat.com:443/candlepin/owners/663149/subscriptions
{"displayMessage":"owner with key: 663149 was not found."}[root@iolo ~]#
Comment 1 wes hayutin 2010-08-10 11:26:47 EDT
dev never touched this.. moving to verified... and will keep an eye on it
Comment 2 Bryan Kearney 2010-09-10 13:28:03 EDT
Wes, moving to verified or on DEV?
Comment 3 wes hayutin 2010-09-21 10:50:41 EDT
changing owner to jsefler for retest
Comment 4 John Sefler 2010-10-14 13:05:42 EDT
VERIFIED AGAINST IT CANDLEPIN...
refresh pools for all three owners is currently working...


[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/663149
{"key":"663149","id":"8a878c912ba109cc012ba10c993b00ae","displayName":"663149","href":"/owners/663149","upstreamUuid":null,"updated":"2010-10-12T15:26:18.939+0000","created":"2010-10-12T15:26:18.939+0000"}
[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request PUT https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/663149/subscriptions
{"id":"refresh_pools_747f9ca5-01bf-4a5d-9bfd-138061f56df8","state":"CREATED","startTime":null,"result":null,"finishTime":null,"statusPath":"/jobs/refresh_pools_747f9ca5-01bf-4a5d-9bfd-138061f56df8","updated":"2010-10-14T16:43:47.940+0000","created":"2010-10-14T16:43:47.940+0000"}
[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request GET https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/663149/subscriptions
[][root@jsefler-rhel6-consumer01 ~]# 



[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/650937
{"key":"650937","id":"8a878c912ba109cc012ba10cafab00b0","displayName":"650937","href":"/owners/650937","upstreamUuid":null,"updated":"2010-10-12T15:26:24.683+0000","created":"2010-10-12T15:26:24.683+0000"}[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]#
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request PUT https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/650937/subscriptions
{"id":"refresh_pools_25ceabfb-d3fe-4f12-8499-41bc44d53c81","state":"CREATED","startTime":null,"result":null,"finishTime":null,"statusPath":"/jobs/refresh_pools_25ceabfb-d3fe-4f12-8499-41bc44d53c81","updated":"2010-10-14T16:46:48.748+0000","created":"2010-10-14T16:46:48.748+0000"}
[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request GET https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/650937/subscriptions
[][root@jsefler-rhel6-consumer01 ~]# 



[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/1616678
{"key":"1616678","id":"8a878c912ba109cc012ba10c56b000a8","displayName":"Valued Customer","href":"/owners/1616678","upstreamUuid":null,"updated":"2010-10-12T15:26:01.904+0000","created":"2010-10-12T15:26:01.904+0000"}
[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request PUT https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/1616678/subscriptions
{"id":"refresh_pools_d07d3acd-926f-4aa0-89a1-748426880aa0","state":"CREATED","startTime":null,"result":null,"finishTime":null,"statusPath":"/jobs/refresh_pools_d07d3acd-926f-4aa0-89a1-748426880aa0","updated":"2010-10-14T16:47:46.532+0000","created":"2010-10-14T16:47:46.532+0000"}
[root@jsefler-rhel6-consumer01 ~]# 
[root@jsefler-rhel6-consumer01 ~]# curl -u candlepin_system_admin:admin -k --request GET https://candlepin1.devlab.phx1.redhat.com:443/candlepin/owners/1616678/subscriptions
[root@jsefler-rhel6-consumer01 ~]#
Comment 5 John Sefler 2011-05-04 10:40:43 EDT
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.